stages:
  - check
  - release

include: /dev-tools-ci.yml

# Checks all linter warings
check-linter-warnings:
  variables:
    DEV_TOOLS: $CI_PROJECT_URL/-/raw/$CI_COMMIT_REF_NAME

# Builds and push the custom dev-tools image for all required tools
push-devtools-image:
  extends:
    - .build-and-push-with-docker
  stage: release
  needs: []
  variables:
    DOCKER_TAG: $CI_REGISTRY_IMAGE
    DOCKER_FILE: docker/tools.dockerfile
  allow_failure: false
  when: manual

# Builds and push the custom lint image
push-lint-image:
  extends:
    - .build-and-push-with-docker
  stage: release
  needs: []
  variables:
    DOCKER_TAG: $CI_REGISTRY_IMAGE/lint:latest
    DOCKER_FILE: docker/lint.dockerfile
  allow_failure: false
  when: manual
